public class BankTransferPayment extends Payment implements IPay {
    String securityNumber;

    public BankTransferPayment(String securityNumber) {
        this.securityNumber = securityNumber;
    }

    @Override
    public void pay(double amount) {
        System.out.println("Bezahlung von " + amount + " CHF mit Banktransfer " + securityNumber);
    }
}
